API Docs
YMS API
Carrier/Level 1
GET Get Carrier by ID

GET Get Carrier by ID

Introduction

Retrieves detailed information about a specific carrier by its unique identifier. This API is used to view complete carrier profile including name, SCAC codes, USDOT number, MC number, verification status, and associated organizations. Commonly used when displaying carrier details or validating carrier information during appointment creation.

API Request

GET /carrier/{carrierId}

Request Parameters

NameLocationTypeRequiredDescription
carrierIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "carrierId": "",
    "carrierName": "",
    "scac": [
      ""
    ],
    "usdot": "",
    "mcNumber": "",
    "verified": false,
    "createdTime": "",
    "createdBy": "",
    "updatedTime": "",
    "updatedBy": "",
    "carrierStatus": "",
    "knownName": "",
    "orgIds": [
      ""
    ]
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRCarrierView